import { DashboardUiConfiguration, DriverTipConfiguration, MerchantConfiguration, MerchantConfigurationCSVField, MobileTaskForm, RatingReasonConfig } from '@bringg/types';
import Session from '../Services/Identity/Session';
import { UploadLogoResponse } from './MerchantConfiguration.consts';
export declare class MerchantConfigurationApi {
    private entity;
    constructor(session: Session);
    get(): Promise<MerchantConfiguration>;
    fetchConfiguration(): Promise<MerchantConfiguration>;
    update(diff: Partial<MerchantConfiguration>): Promise<MerchantConfiguration>;
    uploadLogo(imageFile: File): Promise<UploadLogoResponse>;
    resetDeliveryPin(): Promise<string>;
    resetDestinationPin(): Promise<string>;
    getCsvFields(): Promise<MerchantConfigurationCSVField[]>;
    setCsvFields(csvFields: Partial<MerchantConfigurationCSVField>[]): Promise<MerchantConfigurationCSVField[]>;
    getUserCsvFields(): Promise<MerchantConfigurationCSVField[]>;
    dashboardTableConfigurationUpdate(table_configuration: {}): Promise<void>;
    setDashboardUiConfigurationOnMerchantLevel(dashboardUiConfiguration: DashboardUiConfiguration): Promise<void>;
    setUserCsvFields(csvFields: Partial<MerchantConfigurationCSVField>[]): Promise<MerchantConfigurationCSVField[]>;
    deliveryPinChange(alternativePin: string): Promise<string>;
    resetEmailLogo(): Promise<string>;
    resetClientAppLogo(): Promise<string>;
    getRatingReasonConfiguration(): Promise<RatingReasonConfig>;
    setRatingReasonConfiguration(ratingReasonConfig: Partial<RatingReasonConfig>): Promise<RatingReasonConfig>;
    requestBetaProgram(featureName: string): Promise<boolean>;
    getTipDriverConfiguration(): Promise<DriverTipConfiguration>;
    setTipDriverConfiguration(configuration: DriverTipConfiguration): Promise<DriverTipConfiguration>;
    getMobileTaskForm(): Promise<MobileTaskForm>;
    setMobileTaskForm(form: MobileTaskForm): Promise<MobileTaskForm>;
}
